<div class="heroList">
<h2>My Heroes</h2>
<ul class="heroes">
  <li *ngFor="let hero of heroes" (click)="onSelect(hero)">
    <button>
      <span class="badge">{{hero.id}}</span>
      <span class="name">{{hero.name}}</span>
    </button>
  </li>
</ul>
</div>

<div *ngIf="selectedHero" class="heroDetails">
  <h2>{{selectedHero.name}} details</h2>
  <div><span>id: </span><strong>{{selectedHero.id}}</strong></div>
  <div class="selectedHeroName">
    <label>name:
      <input [(ngModel)]="selectedHero.name" placeholder="name"/>
    </label>
  </div>
</div>
